Subject: Re: bug#51734: 29.0.50; got slow

From: Ken Brown <[email-masked]>
Date: Thu, 11 Nov 2021 13:33:55 -0500

On 11/11/2021 1:11 PM, Ken Brown wrote:
> On 11/11/2021 9:15 AM, Eli Zaretskii wrote:
>>> From: Katsumi Yamaoka <[email-masked]>
>>> On Thu, 11 Nov 2021 10:09:30 +0200, Eli Zaretskii wrote:
>>>>> Probably what I should do could be bisecting the recent commits.
>>>> That'd be best, if you can.  Thanks.
>>>
>>> I did it and found the revision that causes this problem on at
>>> least Cygwin-64.  That is d5bb053.
>>
>> That's strange: that changeset changed just the docs, and the only
>> changes in code are in xwidget.c (which your build shouldn't compile)
>> and in keyboard.c, where the changes just remove redundant braces, and
>> again mostly in places that are built only when xwidgets are
>> supported.
> 
> I can confirm the extreme slowness on my 64-bit Cygwin system, but I don't agree 
> with the bisection.  I still see the slowness in d5bb053^.

I just did my own bisection and found the following as the first bad commit:

commit 858868e36dbb8fe30fb5ae6a59ebb2fd123e307d
Author: Lars Ingebrigtsen <[email-masked]>
Date:   Sun Nov 7 04:55:02 2021 +0100

     Actually start the alarms in atimer

     * src/atimer.c (set_alarm): Actually start both timerfd and
     alarms (attempted in 4107549a).

I haven't yet tried to figure out why.

Ken